For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTAdd a single product to the store
      • GETGet multiple products
      • GETGet a single product
      • PUTModify a single product
      • POSTAdd multiple products to the store
      • GETGet a list of inventory items by product id
    • OpenAPI spec
LogoLogo
API ReferenceProducts

Add multiple products to the store

||View as Markdown|
POST
/1.0/product/batch
POST
/1.0/product/batch
$curl -X POST https://api.shipbob.com/1.0/product/batch \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Medium Blue T-Shirt",
> "reference_id": "TShirtBlueM",
> "barcode": "123456789012",
> "gtin": "012345678905",
> "sku": "TShirtBlueM",
> "unit_price": 20.32,
> "upc": "012345678912"
> }
>]'
1[
2 {
3 "barcode": "123456789012",
4 "bundle_root_information": {
5 "id": 0,
6 "name": "string"
7 },
8 "channel": {
9 "id": 0,
10 "name": "House of Slippers"
11 },
12 "created_date": "2019-08-24T14:15:22Z",
13 "fulfillable_inventory_items": [
14 {
15 "id": 0,
16 "name": "Medium Blue T-Shirt",
17 "quantity": 0
18 }
19 ],
20 "fulfillable_quantity_by_fulfillment_center": [
21 {
22 "committed_quantity": 0,
23 "fulfillable_quantity": 0,
24 "id": 0,
25 "name": "Cicero",
26 "onhand_quantity": 0
27 }
28 ],
29 "gtin": "012345678905",
30 "id": 0,
31 "name": "Medium Blue T-Shirt",
32 "reference_id": "TShirtBlueM",
33 "sku": "TShirtBlueM",
34 "total_committed_quantity": 0,
35 "total_fulfillable_quantity": 0,
36 "total_onhand_quantity": 0,
37 "unit_price": 20.32,
38 "upc": "012345678912"
39 }
40]
Was this page helpful?
Previous

Modify a single product

Next

Get a list of inventory items by product id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel Id for Operation

Request

List of up to 50 products to add
namestringRequired1-2000 characters
The name of the product
reference_idstringRequired1-400 characters
Unique reference identifier for the product. Any linked or generated inventory will also be uniquely identified by this value
barcodestring or nullOptional<=150 characters
Barcode for the product
gtinstring or nullOptional<=50 characters

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

skustring or nullOptional<=400 characters
Stock keeping unit for the product
unit_pricedouble or nullOptional
The price of one unit
upcstring or nullOptional<=50 characters

Universal Product Code - Unique external identifier

Response

Success
barcodestring or null
Barcode for the product
bundle_root_informationobject
channelobject
Information about a store channel
created_datedatetime
Date the product was created
fulfillable_inventory_itemslist of objects or null
The inventory that this product will resolve to when packing a shipment
fulfillable_quantity_by_fulfillment_centerlist of objects or null
Fulfillable quantity of this product broken down by fulfillment center location
gtinstring or null

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

idinteger
Unique identifier of the product
namestring or null
The name of the product
reference_idstring or null
Unique reference identifier of the product
skustring or null
Stock keeping unit for the product
total_committed_quantityinteger
Total committed quantity of this product
total_fulfillable_quantityinteger
Total fulfillable quantity of this product
total_onhand_quantityinteger
Total on hand quantity of this product
unit_pricedouble or null
The price of one unit
upcstring or null

Universal Product Code - Unique external identifier

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error